<?php
error_reporting(E_ALL | E_STRICT);

bcscale(20);

$balance = 1;
$years = 100;
$rate = 0.02;

$totalMonths = $years * 12;

print 'Invest ' . $balance . ' EUR and come back later.' . PHP_EOL;

for ($i = 1; $i <= $totalMonths; $i++) {
	// Reduce interest rate every month
	$rate = bcdiv($rate, 1.001);

	// Calculate interest
	$interest = bcmul($balance, $rate);

	// ... and add it to balance
	$balance = bcadd($balance, $interest);

	print 'Month ' . $i . ': rate=' . bcmul($rate, 100) . '%,interest=' . $interest . ',balance=' . $balance . PHP_EOL;
} // END - foreach

print 'After ' . $totalMonths . ' months (' . $years . ' years) you have ' . $balance . ' EUR back.' . PHP_EOL;
//print 'Length:' . strlen($balance) . PHP_EOL;

?>
